Summary:	Bazaar - a distributed revision control system
Summary(pl.UTF-8):	Bazaar - rozproszony system kontroli wersji
Name:		bzr
Version:	2.5.1
Release:	2
License:	GPL v2+
Group:		Development/Version Control
Source0:	http://launchpad.net/bzr/2.5/%{version}/+download/%{name}-%{version}.tar.gz
# Source0-md5:	ac5079858364a046071000d5cdccb67b
Patch0:		locale-path.patch
Patch1:		ca-certificates.patch
URL:		http://bazaar.canonical.com/
BuildRequires:	python >= 1:2.6
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	zlib-devel
%pyrequires_eq  python
Requires:	python-cElementTree
# pdb module required by bzr
Requires:	python-devel-tools
Requires:	python-paramiko
Requires:	python-pycurl
Conflicts:      qbzr < 0.22
Obsoletes:	bazaar
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bazaar (aka bzr) is a community project led by Canonical Limited to
develop a free software distributed revision control system that is
powerful, friendly, scalable and easy to use. Although Bazaar is a
distributed version control system it can also be used in a
centralized manner using lock step development and checkouts. Features
include:
- file and directory renames
- merging file renames
- versioning symbolic links
- knit merges instead of three-way merges
- gpg revision signing
- build-in high-speed web interface
- tags
- easy to learn normal file-system commands
- extensive Unicode support

Additional features like: cherry picking, other DVCS support, GUI and
many more are accessible from 3rd-party-tools and plugins.

%description -l pl.UTF-8
Bazaar (znany też jako bzr) to publiczny projekt mający na celu
stworzenie wolnodostępnego rozproszonego systemu kontroli wersji
będącego potężnym, przyjaznym, skalowalnym i łatwym w użyciu. Pomimo,
że Bazaar jest zaprojektowany do pracy w rozproszonym środowisku, może
być również używany w scentralizowanym modelu. Do głównych możliwości
należą:
- obsługa zmian nazw dla katalogów i plików
- scalanie pomiędzy plikami ze zmienioną nazwą
- obsługa dowiązań symbolicznych
- zaawansowane zespalanie zamiast tradycyjnego trójdrożnego
- podpisywanie rewizji przez gpg
- wbudowany wysokowydajny interfejs sieciowy
- tagi
- łatwy w użyciu interfejs linii poleceń
- szeroka obsługa Unikodu

Dodatkowe możliwości takie jak: cherry picking, obsługa innych
systemów kontroli wersji, GUI są dostępne poprzez dodatkowe pakiety
rozszerzeń.

%package -n bash-completion-%{name}
Summary:	bash-completion for bzr
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion

%description -n bash-completion-%{name}
This package provides bash-completion for bzr.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

# move out of contrib, as we package contrib as doc
mv contrib/bash/bzr bash_completion.sh

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--optimize=2 \
	--install-data %{_datadir} \
	--root=$RPM_BUILD_ROOT

%py_postclean

# bash-completion
install -d $RPM_BUILD_ROOT/etc/bash_completion.d
install -p bash_completion.sh $RPM_BUILD_ROOT/etc/bash_completion.d/%{name}

# Use independently packaged python-elementtree instead
rm -rf $RPM_BUILD_ROOT%{py_sitedir}/bzrlib/util/elementtree

# don't package tests
rm -rf $RPM_BUILD_ROOT%{py_sitedir}/bzrlib/plugins/bash_completion/tests
rm -rf $RPM_BUILD_ROOT%{py_sitedir}/bzrlib/plugins/launchpad/test_*.py*
rm -rf $RPM_BUILD_ROOT%{py_sitedir}/bzrlib/plugins/netrc_credential_store/tests
rm -rf $RPM_BUILD_ROOT%{py_sitedir}/bzrlib/plugins/news_merge/tests
rm -rf $RPM_BUILD_ROOT%{py_sitedir}/bzrlib/tests
rm -rf $RPM_BUILD_ROOT%{py_sitedir}/bzrlib/util/tests

# sco locale is not supported by glibc
rm -rf $RPM_BUILD_ROOT%{_localedir}/sco

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc doc/*.txt NEWS README TODO contrib
%attr(755,root,root) %{_bindir}/bzr
%{_mandir}/man1/bzr.1*
%dir %{py_sitedir}/bzrlib
%{py_sitedir}/bzrlib/*.py[co]
%attr(755,root,root) %{py_sitedir}/bzrlib/_*.so
%{py_sitedir}/bzrlib/bundle
%{py_sitedir}/bzrlib/doc
%{py_sitedir}/bzrlib/doc_generate
%{py_sitedir}/bzrlib/export
%{py_sitedir}/bzrlib/filters
%{py_sitedir}/bzrlib/help_topics
%{py_sitedir}/bzrlib/plugins
%{py_sitedir}/bzrlib/repofmt
%{py_sitedir}/bzrlib/smart
%{py_sitedir}/bzrlib/store
%{py_sitedir}/bzrlib/transport
%{py_sitedir}/bzrlib/ui
%{py_sitedir}/bzrlib/util
%{py_sitedir}/bzrlib/version_info_formats
%{py_sitedir}/*.egg-info

%files -n bash-completion-%{name}
%defattr(644,root,root,755)
/etc/bash_completion.d/%{name}
%changelog
* Thu Jul 12 2012 Mateusz Korniak <mateusz-lists@ant.gliwice.pl> 9db9fe5
Release 2. Conflicts with old qbzr versions added.

* Wed Jun 06 2012 Łukasz Kieś <kiesiu@pld-linux.org> 7703f1c
- updated to 2.5.1
- patch for PLD ca-certificates location

* Tue Mar 06 2012 Łukasz Kieś <kiesiu@pld-linux.org> 7d98001
- sco locale is not supported by current glibc

* Tue Mar 06 2012 Łukasz Kieś <kiesiu@pld-linux.org> 8fc6f78
- fixed locales install path

* Tue Mar 06 2012 Łukasz Kieś <kiesiu@pld-linux.org> 922bd9c
- updated to 2.5.0

* Sun Nov 20 2011 Łukasz Kieś <kiesiu@pld-linux.org> f35d293
- updated to 2.4.2
- py27.patch applied upstream in 2.3.2 version

* Sat Sep 03 2011 witekfl <witekfl@pld-linux.org> fa9e88a
- 2.4.0

* Mon Jun 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 77ac973
- up to 2.3.3

* Fri Mar 18 2011 witekfl <witekfl@pld-linux.org> 233deec
- GPL v2 or later

* Fri Mar 18 2011 witekfl <witekfl@pld-linux.org> f41812e
- 2.3.1

* Sun Feb 06 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 8217112
- up to 2.2.3

* Fri Oct 29 2010 Elan Ruusamäe <glen@pld-linux.org> a7279d2
- executable bits for shared libs (rpm to autogenerate deps); rel 4

* Fri Oct 29 2010 Elan Ruusamäe <glen@pld-linux.org> 979b28c
- remove elementree copy

* Fri Oct 29 2010 Elan Ruusamäe <glen@pld-linux.org> 9aeb6ed
- bash-completion package; rel 3

* Wed Oct 06 2010 Artur Frysiak <artur@frysiak.net> 57874ca
- fix for bug #612096
- release 2

* Sat Oct 02 2010 Adam Gołębiowski <adamg@pld-linux.org> d7e7a94
- updated to 2.2.1

* Thu Sep 02 2010 Elan Ruusamäe <glen@pld-linux.org> 0016ceb
- release 3

* Tue Aug 10 2010 Elan Ruusamäe <glen@pld-linux.org> b15e2c6
- up to 2.2.0

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 409c2df
- release 2

* Wed Jun 02 2010 Mateusz Korniak <matkor@pld-linux.org> b7f0c2f
- Version 2.1.2-1.

